<project  xmlns="http://maven.apache.org/POM/4.0.0" 
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
          xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>net.meddeb.japptools</groupId>
  <artifactId>japptools</artifactId>
  <packaging>jar</packaging>
  <name>Java applications tools</name>
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>
  <version>1.1-SNAPSHOT</version>
  <url>http://www.meddeb.net/japptools</url>
  <organization>
  	<name>Abdelhamid MEDDEB</name>
  	<url>http://www.meddeb.net</url>
  </organization>
  <description>Software component usable as black-box. Provides useful tools for wide varieties of applications</description>
  <dependencies>
    <dependency>
      <groupId>log4j</groupId>
      <artifactId>log4j</artifactId>
      <version>1.2.17</version>
      <scope>compile</scope>
    </dependency>
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>apache-log4j-extras</artifactId>
			<version>1.2.17</version>
      <scope>runtime</scope>
		</dependency>    
		<dependency>
      <groupId>org.jasypt</groupId>
 	    <artifactId>jasypt</artifactId>
 	    <version>1.9.2</version>
    </dependency>
    <dependency>
      <groupId>com.sun.mail</groupId>
 	    <artifactId>javax.mail</artifactId>
 	    <version>1.5.2</version>
    </dependency>
    <dependency>
  	  <groupId>junit</groupId>
  	  <artifactId>junit</artifactId>
  	  <version>4.11</version>
  	  <scope>test</scope>
		</dependency>
  </dependencies>
  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
	      <configuration>
          <source>1.6</source>
          <target>1.6</target>
        </configuration>        
        <version>3.0</version>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
        <version>2.17</version>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-install-plugin</artifactId>
        <version>2.3.1</version>
        <executions>
          <execution>
            <goals>
              <goal>install-file</goal>
            </goals>
            <phase>install</phase>
            <configuration>
              <file>${project.build.directory}/${project.build.finalName}${profiletag}.${project.packaging}</file>
              <generatePom>false</generatePom>
              <pomFile>pom.xml</pomFile>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>  
    <extensions>
      <extension>
        <groupId>org.apache.maven.wagon</groupId>
        <artifactId>wagon-ftp</artifactId>
        <version>2.6</version>
      </extension>
    </extensions>
  </build>
  <profiles>
    <profile>
      <id>component</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <profiletag></profiletag>
      </properties>  
      <build>
        <directory>target</directory>
        <resources>
          <resource>
            <directory>src/main/java/res</directory>
            <filtering>true</filtering>
          </resource>
        </resources>
      </build>
    </profile>
    <profile>
      <id>standalone</id>
      <properties>
        <profiletag>-stdone</profiletag>
      </properties>  
      <build>
        <directory>target</directory>
        <resources>
          <resource>
            <directory>src/main/java/res</directory>
            <filtering>true</filtering>
          </resource>
        </resources>
        <plugins>
          <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-assembly-plugin</artifactId>
            <configuration>
              <archive>
                <manifest>
                  <mainClass>net.meddeb.japptools.Entrypoint</mainClass>
                </manifest>
              </archive>
              <descriptorRefs>
                <descriptorRef>jar-with-dependencies</descriptorRef>
              </descriptorRefs>
              <finalName>${project.build.finalName}${profiletag}</finalName>
              <appendAssemblyId>false</appendAssemblyId>
            </configuration>
            <executions>
              <execution>
                <id>make-assembly</id>
                <phase>package</phase>
                <goals>
                  <goal>single</goal>
                </goals>
              </execution>
            </executions>
          </plugin>
        </plugins>  
      </build>
    </profile>
  </profiles>
  <repositories>
    <repository>
      <id>apache-snapshot</id>
      <name>Apache Snapshot Repository</name>
      <url>https://repository.apache.org/content/groups/snapshots/</url>
    </repository>
  </repositories>
  <distributionManagement>
    <repository>
      <id>meddeb-net</id>
      <url>ftp://ftp.meddeb.net/maven2</url>
    </repository>
  </distributionManagement>
</project>
